
//
// fichier des priorités d'allocations des activités
//
//===========================================================================
//
// dans + E allocationPriorityOptionSubset fertilizationActivity,
// fertilizationActivity doit etre le nom de classe d'une activite primitive
//
//1 : forte priorite ; 99 : faible priorite
//===========================================================================
//TRACE PARSING;
+ I allocationPriorityOptionSet ap_optionSet1

    //----------------------Fertilization------------------------------
    + E allocationPriorityOptionSubset fertilizationActivity
		standardValuePriorityTab <<  10 -9 10;
    ;
    //----------------------Tillage------------------------------
    + E allocationPriorityOptionSubset autumnTillageActivity
		standardValuePriorityTab << 30  1 -9;
    ;
    + E allocationPriorityOptionSubset winterTillageActivity
		standardValuePriorityTab << -9 -9 30;
    ;
    + E allocationPriorityOptionSubset initSpringTillageActivity
		standardValuePriorityTab << -9 -9 30;
    ;
    + E allocationPriorityOptionSubset springTillageActivity
		standardValuePriorityTab << -9 -9 30;
    ;
    //----------------------PruningActivity------------------------------
    + E allocationPriorityOptionSubset gobeletPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    + E allocationPriorityOptionSubset guyotPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    + E allocationPriorityOptionSubset royatPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    + E allocationPriorityOptionSubset formationPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    //-----------------------ShootThinning------------------------------
    + E allocationPriorityOptionSubset shootThinningActivity
		standardValuePriorityTab << -9 10 10;
    ;
    //-----------------------Plantation-----------------------------
    + E allocationPriorityOptionSubset plantationActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    //-----------------------PhytoTreatment-----------------------------
    + E allocationPriorityOptionSubset manualPhytoTreatmentActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    + E allocationPriorityOptionSubset motorizedPhytoTreatmentActivity
		standardValuePriorityTab << -9 -9  10;
    ;
    //-----------------------Debranching-----------------------------
    + E allocationPriorityOptionSubset manualMechanicalDebranchingActivity
	    standardValuePriorityTab << -9 -9 50;
    ;
    + E allocationPriorityOptionSubset manualChemicalDebranchingActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    + E allocationPriorityOptionSubset motorizedChemicalDebranchingActivity
		standardValuePriorityTab << -9 -9 20;
    ;
    //-----------------------ChemicalWeeding-----------------------------
    + E allocationPriorityOptionSubset manualChemicalWeedingActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    + E allocationPriorityOptionSubset motorizedChemicalWeedingActivity
		standardValuePriorityTab << -9 -9 50;
    ;
    //-----------------------Clipping-----------------------------
    + E allocationPriorityOptionSubset clippingActivity
		standardValuePriorityTab << -9 -9 10;
    ;
    //-----------------------Trellising-----------------------------
    + E allocationPriorityOptionSubset trellisingActivity
		standardValuePriorityTab << -9 -9 50;
        	isAllocationExclusive = 1;
    ;
    //----------------------------------------------------
;
//=======================================================================
+ I allocationPriorityOptionSet ap_optionSet2

    //----------------------Fertilization------------------------------
    + E allocationPriorityOptionSubset fertilizationActivity
		standardValuePriorityTab <<  10 -9 10;
    ;
    //----------------------Tillage------------------------------
    + E allocationPriorityOptionSubset autumnTillageActivity
		standardValuePriorityTab << 30  1 -9;
    ;
    + E allocationPriorityOptionSubset winterTillageActivity
		standardValuePriorityTab << -9 -9 30;
    ;
    + E allocationPriorityOptionSubset initSpringTillageActivity
		standardValuePriorityTab << -9 -9 30;
    ;
    + E allocationPriorityOptionSubset springTillageActivity
		standardValuePriorityTab << -9 -9 30;
    ;
    //----------------------PruningActivity------------------------------
    + E allocationPriorityOptionSubset gobeletPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    + E allocationPriorityOptionSubset guyotPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    + E allocationPriorityOptionSubset royatPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    + E allocationPriorityOptionSubset formationPruningActivity
		standardValuePriorityTab << -9 50 50;
    ;
    //-----------------------ShootThinning------------------------------
    + E allocationPriorityOptionSubset shootThinningActivity
		standardValuePriorityTab << -9 10 10;
    ;
    //-----------------------Plantation-----------------------------
    + E allocationPriorityOptionSubset plantationActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    //-----------------------PhytoTreatment-----------------------------
    + E allocationPriorityOptionSubset manualPhytoTreatmentActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    + E allocationPriorityOptionSubset motorizedPhytoTreatmentActivity
		standardValuePriorityTab << -9 -9  10;
    ;
    //-----------------------Debranching-----------------------------
    + E allocationPriorityOptionSubset manualMechanicalDebranchingActivity
	    standardValuePriorityTab << -9 -9 50;
    ;
    + E allocationPriorityOptionSubset manualChemicalDebranchingActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    + E allocationPriorityOptionSubset motorizedChemicalDebranchingActivity
		standardValuePriorityTab << -9 -9 20;
    ;
    //-----------------------ChemicalWeeding-----------------------------
    + E allocationPriorityOptionSubset manualChemicalWeedingActivity
		standardValuePriorityTab << -9 -9 40;
    ;
    + E allocationPriorityOptionSubset motorizedChemicalWeedingActivity
		standardValuePriorityTab << -9 -9 50;
    ;
    //-----------------------Clipping-----------------------------
    + E allocationPriorityOptionSubset clippingActivity
		standardValuePriorityTab << -9 -9 10;
    ;
    //-----------------------Trellising-----------------------------
    + E allocationPriorityOptionSubset trellisingActivity
		standardValuePriorityTab << -9 -9 50;
        	isAllocationExclusive = 0;
    ;
    //----------------------------------------------------
;
//===========================================================================


END INCLUDE;