#utiliser le package plotrix   (cf. documentation)
# si non fait, telecharger le package sur le site 
# http://cran.r-project.org/web/packages/plotrix/index.html, 
# choisir window binary
# puis l'installer a l'aide du menu deroulant R/controllingR/Rpackages/install (from local zip)



library(plotrix)

## Diagrammes de Gantt 


# liste des dates structurant la grille
vgridpos<-c(0,745,1465,2209,2953,3625,4368,5088,5832,6552,7296,8040,8040)
# legende de la grille
vgridlab<-c("OCT","NOV","DEC","JAN","FEV","MRS","AVR","MAI","JUN","JUL","AOU","SEP","01-OCT")
# les fenetres des chantiers
data<-list(
  labels=c("concurrentAutumnTillages","concurrentFertilizations","serialPrunings","concurrentShootThinnings","concurrentInitSpringTillages","concurrentChemicalWeedings","concurrentRegularPhytoTreatments","concurrentExtraPhytoTreatments","serialMotorizedDebranchings","concurrentSpringTillages","concurrentRegularPhytoTreatments","concurrentExtraPhytoTreatments","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments","serialTrellisings","concurrentClippings","concurrentRegularPhytoTreatments","concurrentSpringTillages","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments"),
  starts=c(464,464,1042,1719,3969,3901,4832,4976,4858,4904,5116,5264,5452,5788,5432,5966,6124,5966,6460,6796,7132),
  ends=c(640,566,3897,3899,4096,4119,4857,4977,4984,5032,5189,5265,5480,5816,5963,6106,6153,6278,6489,6825,7161))
# la commande
gantt.chart(data,
            vgridpos=vgridpos,
            vgridlab=vgridlab,
            xlim=c(0,8040), # attention de penser a changer le ; en ,
            main="gantt_MG11_06_07_sim1",
            taskcolors=c(30,10,50,10,30,50,10,10,20,30,10,10,10,10,50,10,10,30,10,10,10)
)


# liste des dates structurant la grille
vgridpos<-c(0,745,1465,2209,2953,3625,4368,5088,5832,6552,7296,8040,8040)
# legende de la grille
vgridlab<-c("OCT","NOV","DEC","JAN","FEV","MRS","AVR","MAI","JUN","JUL","AOU","SEP","01-OCT")
# les fenetres des chantiers
data<-list(
  labels=c("concurrentAutumnTillages","concurrentFertilizations","serialPrunings","concurrentShootThinnings","concurrentInitSpringTillages","concurrentChemicalWeedings","concurrentRegularPhytoTreatments","concurrentExtraPhytoTreatments","serialMotorizedDebranchings","concurrentSpringTillages","concurrentRegularPhytoTreatments","concurrentExtraPhytoTreatments","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments","serialTrellisings","concurrentRegularPhytoTreatments","concurrentClippings","concurrentSpringTillages","concurrentRegularPhytoTreatments","concurrentSpringTillages","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments"),
  starts=c(464,464,1042,1719,3969,3901,4832,4976,4858,4904,5116,5264,5452,5788,5432,6124,5576,5654,6460,6398,6796,7132),
  ends=c(640,566,3897,3899,4096,4119,4857,4977,4984,5032,5189,5265,5481,5817,6114,6153,6154,6177,6489,6537,6825,7161))
# la commande
gantt.chart(data,
            vgridpos=vgridpos,
            vgridlab=vgridlab,
            xlim=c(0,8040), # attention de penser a changer le ; en ,
            main="gantt_MG11_06_07_sim2",
            taskcolors=c(30,10,50,10,30,50,10,10,20,30,10,10,10,10,50,10,10,30,10,30,10,10)
)


# liste des dates structurant la grille
vgridpos<-c(0,745,1465,2209,2953,3625,4368,5088,5832,6552,7296,8040,8040)
# legende de la grille
vgridlab<-c("OCT","NOV","DEC","JAN","FEV","MRS","AVR","MAI","JUN","JUL","AOU","SEP","01-OCT")
# les fenetres des chantiers
data<-list(
  labels=c("concurrentAutumnTillages","concurrentFertilizations","serialPrunings","concurrentShootThinnings","concurrentInitSpringTillages","concurrentChemicalWeedings","concurrentRegularPhytoTreatments","concurrentExtraPhytoTreatments","concurrentRegularPhytoTreatments","concurrentExtraPhytoTreatments","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments","serialTrellisings","concurrentClippings","concurrentRegularPhytoTreatments","serialManualDebranchings","concurrentSpringTillages","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments","concurrentRegularPhytoTreatments"),
  starts=c(464,464,1042,1719,3969,3901,4832,4976,5116,5264,5452,5788,5432,5966,6124,4832,6176,6460,6796,7132),
  ends=c(640,566,3897,3899,4096,4119,4856,4977,5192,5265,5480,5816,5963,6088,6153,6154,6346,6489,6825,7161))
# la commande
gantt.chart(data,
            vgridpos=vgridpos,
            vgridlab=vgridlab,
            xlim=c(0,8040), # attention de penser a changer le ; en ,
            main="gantt_MG11_06_07_sim3",
            taskcolors=c(30,10,50,10,30,50,10,10,10,10,10,10,50,10,10,50,30,10,10,10)
)

